/// <reference types="react" />
import { DayCellProps } from './types';
export declare const DayCell: ({ date, shouldDisplay, dayIndexInWeek, weekIndexInCalRange, availsByIndex, selectedDate, handleSelected, moment, utils, theme, overrides, }: DayCellProps & {
    overrides?: {
        ToolBar: import("./overrides/general").OverridableComponentProps<import("./types").ToolBarProps, {}, {}>;
        ToolBarButton: import("./overrides/general").OverridableComponentProps<import("./types").ToolBarButtonProps, {}, {}>;
        Weekdays: import("./overrides/general").OverridableComponentProps<{}, {}, {}>;
        Weekday: import("./overrides/general").OverridableComponentProps<{
            weekday: string;
        }, {}, {}>;
        DayCells: import("./overrides/general").OverridableComponentProps<import("./types").DayCellsProps, {}, {}>;
        DayCell: import("./overrides/general").OverridableComponentProps<DayCellProps, {}, {
            date: Date;
            isSelected: boolean;
            hasAvail: boolean;
        }>;
        Availabilities: import("./overrides/general").OverridableComponentProps<import("./types").AvailSlotsProps, {}, {}>;
        AvailSlot: import("./overrides/general").OverridableComponentProps<import("./types").AvailSlotProps, {}, {
            date: Date;
        }>;
    } | undefined;
}) => JSX.Element;
