import React from 'react';
import { createUtils } from './utils';
import { CalendarTheme } from './types';
import { MomentCtrFunc } from './moment-types/moment-subset';
export interface CalendarContextValue {
    moment: MomentCtrFunc;
    utils: ReturnType<typeof createUtils>;
    theme: CalendarTheme;
}
export declare const CalendarContext: React.Context<CalendarContextValue>;
export declare const useCalendarContext: () => CalendarContextValue;
export declare const CalendarContextProvider: ({ moment, theme, children }: any) => JSX.Element;
