/// <reference types="react" />
import { ToolBarProps } from './types';
export declare const Toolbar: ({ localizer: { messages }, label, onNavigate, overrides, }: ToolBarProps & {
    overrides?: {
        ToolBar: import("./overrides/general").OverridableComponentProps<ToolBarProps, {}, {}>;
        ToolBarButton: import("./overrides/general").OverridableComponentProps<import("./types").ToolBarButtonProps, {}, {}>;
        Weekdays: import("./overrides/general").OverridableComponentProps<{}, {}, {}>;
        DayCells: import("./overrides/general").OverridableComponentProps<import("./types").DayCellsProps, {}, {}>;
        DayCell: import("./overrides/general").OverridableComponentProps<import("./types").DayCellProps, {}, {
            isSelected: boolean;
            hasAvail: boolean;
        }>;
        Availabilities: import("./overrides/general").OverridableComponentProps<import("./types").AvailSlotsProps, {}, {}>;
        AvailSlot: import("./overrides/general").OverridableComponentProps<import("./types").AvailSlotProps, {}, {}>;
    } | undefined;
}) => JSX.Element;
