/// <reference types="react" />
export declare const Weekdays: ({ overrides }: {
    overrides?: {
        ToolBar: import("./overrides/general").OverridableComponentProps<import("./types").ToolBarProps, {}, {}>;
        ToolBarButton: import("./overrides/general").OverridableComponentProps<import("./types").ToolBarButtonProps, {}, {}>;
        Weekdays: import("./overrides/general").OverridableComponentProps<{}, {}, {}>;
        Weekday: import("./overrides/general").OverridableComponentProps<{
            weekday: string;
        }, {}, {}>;
        DayCells: import("./overrides/general").OverridableComponentProps<import("./types").DayCellsProps, {}, {}>;
        DayCell: import("./overrides/general").OverridableComponentProps<import("./types").DayCellProps, {}, {
            isSelected: boolean;
            hasAvail: boolean;
        }>;
        Availabilities: import("./overrides/general").OverridableComponentProps<import("./types").AvailSlotsProps, {}, {}>;
        AvailSlot: import("./overrides/general").OverridableComponentProps<import("./types").AvailSlotProps, {}, {}>;
    } | undefined;
}) => JSX.Element;
